Eclipse Rich Ajax Platform

## org.eclipse.swt.events
Interface GestureListener

    public interface GestureListener

Classes which implement this interface provide methods that deal with the events that are generated as gestures are triggered by the user interacting with a touch pad or touch screen.

After creating an instance of a class that implements this interface it can be added to a control using the `addGestureListener` method and removed using the `removeGestureListener` method. When a gesture is triggered, the appropriate method will be invoked.

Since:
  1.4
See Also:
  `GestureEvent`

Method Summary
`void` `gesture(GestureEvent e)` Sent when a recognized gesture has occurred.

Method Detail

### gesture

    void gesture(GestureEvent e)

  Sent when a recognized gesture has occurred.

  Parameters:
    `e` - an event containing information about the gesture.

Eclipse Rich Ajax Platform

Copyright (c) EclipseSource and others 2002, 2012. All rights reserved.